- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
BlisPresolve Class Reference

A interface to Osi/Coin Presolve. More...

`#include <BlisPresolve.h>`

Inheritance diagram for BlisPresolve:
[legend]
Collaboration diagram for BlisPresolve:
[legend]

## Public Member Functions
| BlisPresolve ()
| Default constructor (empty object) More...
virtual | ~BlisPresolve ()
| Virtual destructor. More...
virtual OsiSolverInterface * | preprocess (OsiSolverInterface &origModel, double feasibilityTolerance=0.0, bool keepIntegers=true, int numberPasses=5, const char *prohibited=NULL)
| Presolve. More...
virtual void | postprocess (bool updateStatus=true)
| Postsolve. More...
Public Member Functions inherited from OsiPresolve
| OsiPresolve ()
| Default constructor (empty object) More...
virtual | ~OsiPresolve ()
| Virtual destructor. More...
virtual OsiSolverInterface * | presolvedModel (OsiSolverInterface &origModel, double feasibilityTolerance=0.0, bool keepIntegers=true, int numberPasses=5, const char *prohibited=NULL, bool doStatus=true, const char *rowProhibited=NULL)
| Create a new OsiSolverInterface loaded with the presolved problem. More...
virtual void | postsolve (bool updateStatus=true)
| Restate the solution to the presolved problem in terms of the original problem and load it into the original model. More...
OsiSolverInterface * | model () const
| Return a pointer to the presolved model. More...
OsiSolverInterface * | originalModel () const
| Return a pointer to the original model. More...
void | setOriginalModel (OsiSolverInterface *model)
| Set the pointer to the original model. More...
const int * | originalColumns () const
| Return a pointer to the original columns. More...
const int * | originalRows () const
| Return a pointer to the original rows. More...
int | getNumRows () const
| Return number of rows in original model. More...
int | getNumCols () const
| Return number of columns in original model. More...
void | setNonLinearValue (double value)
| "Magic" number. More...
double | nonLinearValue () const
void | setPresolveActions (int action)
| Fine control over presolve actions. More...

## Private Attributes
CoinPresolveMatrix * | preMatrix_
CoinPostsolveMatrix * | postMatrix_

## Additional Inherited Members
Protected Member Functions inherited from OsiPresolve
virtual const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob)
| Apply presolve transformations to the problem. More...
virtual void | postsolve (CoinPostsolveMatrix &prob)
| Reverse presolve transformations to recover the solution to the original problem. More...
void | gutsOfDestroy ()
| Destroys queued postsolve actions. More...

## Detailed Description

A interface to Osi/Coin Presolve.

Definition at line 37 of file BlisPresolve.h.

## Constructor & Destructor Documentation

BlisPresolve::BlisPresolve | ( |  | ) |
| inline

Default constructor (empty object)

Definition at line 47 of file BlisPresolve.h.

virtual BlisPresolve::~BlisPresolve | ( |  | ) |
| inline virtual

Virtual destructor.

Definition at line 52 of file BlisPresolve.h.

## Member Function Documentation

virtual OsiSolverInterface* BlisPresolve::preprocess | ( | OsiSolverInterface & | origModel,
|  | double | feasibilityTolerance = `0.0`,
|  | bool | keepIntegers = `true`,
|  | int | numberPasses = `5`,
|  | const char * | prohibited = `NULL`
| ) |  |
| virtual

Presolve.

virtual void BlisPresolve::postprocess | ( | bool | updateStatus = `true` | ) |
| virtual

Postsolve.

## Member Data Documentation

CoinPresolveMatrix* BlisPresolve::preMatrix_
| private

Definition at line 41 of file BlisPresolve.h.

CoinPostsolveMatrix* BlisPresolve::postMatrix_
| private

Definition at line 42 of file BlisPresolve.h.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Blis/src/BlisPresolve.h